:root {
  --red: hsl(14, 86%, 42%);
  --green: hsl(159, 69%, 38%);
  --rose-50: hsl(20, 50%, 98%);
  --rose-100: hsl(13, 31%, 94%);
  --rose-300: hsl(14, 25%, 72%);
  --rose-400: hsl(7, 20%, 60%);
  --rose-500: hsl(12, 20%, 44%);
  --rose-900: hsl(14, 65%, 9%);
}

@font-face {
  font-family: 'RedHatText';
  src: url('/assets/fonts/static/RedHatText-Regular.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
}
@font-face {
  font-family: 'RedHatText';
  src: url('/assets/fonts/static/RedHatText-Bold.ttf') format('truetype');
  font-weight: bold;
  font-style: normal;
}
@font-face {
  font-family: 'RedHatText';
  src: url('/assets/fonts/static/RedHatText-SemiBold.ttf') format('truetype');
  font-weight: 600;
  font-style: normal;
}
@font-face {
  font-family: 'RedHatText';
  src: url('/assets/fonts/RedHatText-Italic-VariableFont_wght.ttf') format('truetype');
  font-weight: normal;
  font-style: italic;
}
@font-face {
  font-family: 'RedHatText';
  src: url('/assets/fonts/RedHatText-VariableFont_wght.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
}

*, *::before, *::after {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

html {
  font-family: 'RedHatText', sans-serif;
  display: flex;
  justify-content: center;
  align-items: center;
}

body {
  width: clamp(375px, 95vw, 1400px);
  min-height: 100vh;
  padding: 1.5rem;
  margin: auto;
  background-color: var(--rose-50);
}

h1 {
  font-weight: bold;
  color: var(--rose-900);
}

.products-section {
  width: 100%;
}

.cart-section {
  width: 100%;
}

.product-list {
  display: grid;  
  grid-template-columns: 1fr;
  gap: 1rem;
  margin: 1.5rem 0;
}

.product-item {
  display: flex;
  flex-direction: column;
  gap: 2rem;
}

.product-img-container {
  display: flex;
  flex-direction: column;
  position: relative;
}

.product-img-container img {
  width: 100%;
  height: auto;
  display: block;
  border-radius: 9px;
}

.product-img-container:has(.quantity-controls:not(.hidden)) img {
  border: 3px solid var(--red);
}

.add-to-cart.btn, .quantity-controls {
  position: absolute;
  bottom: 0;
  left: 50%;
  transform: translateX(-50%) translateY(45%);
  display: flex;
  justify-content: center;
  align-items: center;
  gap: .5rem;
  background-color: var(--rose-50);
  border: 1px solid var(--rose-500);
  padding: .7rem 0;
  width: 50%;
  border-radius: 999px;
  cursor: pointer;
  font-weight: 600;
}

.add-to-cart.btn.hidden {
  display: none;
}

.quantity-controls {
  background-color: var(--red);
  border: none;
  padding: .7rem 1.2rem;
  cursor: auto;
}

.quantity-controls button {
  display: flex;
  justify-content: center;
  align-items: center;
  min-width: 23px;
  min-height: 23px;
  background-color: transparent;
  border: 2px solid var(--rose-100);
  border-radius: 999px;
  padding: 2px;
  cursor: pointer;
  
  img {
    width: 80%;
    border: none !important;
  }
}

.quantity-controls span {
  flex-grow: 1;
  text-align: center;
  color: var(--rose-100);
}

.quantity-controls.hidden {
  display: none;
}

.product-details {
  display: flex;
  flex-direction: column;
  gap: .2rem;
}

.product-details p:first-of-type {
  color: var(--rose-300);
  font-size: .9rem;
}

.product-details p:nth-of-type(2) {
  color: var(--rose-900);
  font-weight: 600;
}

.product-details span {
  color: var(--red);
  font-weight: 600;
}

.shopping-cart-container {
  display: flex;
  flex-direction: column;
  padding: 1.5rem;
  background-color: #fff;
  border-radius: 9px;
}

.shopping-cart-container h2 {
  color: var(--red);
  margin-bottom: .3rem;
}

.empty-cart {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding-top: 1.2rem;
  gap: 1.5rem;
  width: 100%;
}

.empty-cart img {
  width: 55%;
}

.empty-cart p {
  color: var(--rose-400);
  font-weight: 600;
  white-space: nowrap;
}

.empty-cart.hidden {
  display: none;
}

.cart-list {
  display: flex;
  flex-direction: column;
}

.cart-item {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding-top: 1.2rem;
  padding-bottom: 1.2rem;
  border-bottom: 2px solid var(--rose-100);
}

.cart-item-details {
  display: flex;
  flex-direction: column;
  gap: .6rem;
}

.cart-item-details h4 {
  font-weight: 600;
  color: var(--rose-900);
}

.cart-item-details p {  
  display: flex;
  gap: .5rem;
}

.cart-item-details p span:first-child {
  color: var(--red);
  font-weight: 600;
  margin-right: .5rem;
}

.cart-item-details p span:nth-child(2) {
  color: var(--rose-400);
}

.cart-item-details p span:nth-child(3) {
  color: var(--rose-500);
}

.delete-item {
  display: flex;
  justify-content: center;
  align-items: center;
  min-width: 23px;
  min-height: 23px;
  border-radius: 999px;
  border: 2px solid var(--rose-400);
  background-color: transparent;
  padding: 2px;
  cursor: pointer;
}

.delete-item img {
  width: 80%;
  height: auto;
}

.order-total {
  display: flex;
  justify-content: space-between;
  padding-top: 1.5rem;
  align-items: center;
}

.order-total p, .order-total span {
  color: var(--rose-900);
}

.order-total span {
  font-weight: bold;
  font-size: 1.5rem;
}

.carbon-neutral {
  display: flex;
  margin-top: 1.5rem;
  padding: 1rem 1.2rem;
  background-color: var(--rose-50);
  border-radius: 9px;
  justify-content: center;
  gap: .4rem;
}

.carbon-neutral p {
  font-size: .905rem;
  text-align: center;
  text-wrap: nowrap;
}

.carbon-neutral span {
  color: var(--rose-900);
  font-weight: 600;
}

.confirm-order {
  padding: 1.1rem;
  margin-top: 1.5rem;
  border-radius: 999px;
  border: none;
  background-color: var(--red);
  color: var(--rose-50);
  font-weight: 600;
  width: 100%;
  cursor: pointer;
}

.shopping-cart-form {
  display: flex;
  flex-direction: column;
}

.shopping-cart-form.hidden {
  display: none;
}

.section-modal {
  position: fixed;
  background-color: #0009;
  z-index: 9;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
}

.section-modal.hidden {
  display: none;
}

.modal-order-confirmed {
  width: 100%;
  bottom: 0;
  position: fixed;
  left: 0;
  right: 0;
  display: flex;
  flex-direction: column;
  background-color: #fff;
  padding: 2.5rem 2rem 1.5rem;
  border-radius: 9px;
  z-index: 10;
  gap: 1rem;
}

.modal-order-confirmed > img {
  width: 40px;
  margin-bottom: 1rem;
}

.modal-order-confirmed h2 {
  line-height: 1.3;
  font-size: 2rem;
  color: var(--rose-900);
  max-width: 80%;
}

.modal-order-confirmed > p {
  color: var(--rose-500);
  margin-bottom: 1rem;
}

.modal-order-container {
  padding: 1.5rem;
  background-color: var(--rose-50);
  border-radius: 9px;
}

.cart-list.modal {
  gap: 1rem;
  max-height: 250px;
  overflow-y: auto;
  padding-right: 10px;
}

.cart-item.modal {
  justify-content: start;
  gap: 1rem;
  padding-top: 0;
}

.cart-item.modal img {
  width: 50px;
  height: 50px;
  border-radius: 3px;
}

.cart-item-details.modal {
  flex-grow: 1;
}

.order-item-total {
  color: var(--rose-900);
  font-weight: 600;
}

.confirm-order.modal {
  margin-top: 1rem;
}

/* -------------- MEDIA QUERIES -------------- */

@media (min-width: 768px) {
  .product-list {
    grid-template-columns: repeat(2, 1fr); 
  }
}

@media (min-width: 1024px) {
  body {
    margin: 0;
    margin-top: 2rem;
    justify-content: center;
  }
  
  h1 {
    font-size: 2rem;
  }

  main {
    display: flex;
    justify-content: space-between;
    gap: 2rem;
    width: 100%;
    max-width: 100%;
  }

  .products-section {
    width: 70%;
    height: auto;
  }

  .product-list {
    grid-template-columns: repeat(3, 1fr);
    column-gap: 1rem;
    row-gap: 1.5rem;
  }

  .add-to-cart.btn, .quantity-controls {
    width: 65%;
  }

  .cart-section {
    width: 30%;
    height: auto;
  }

  .shopping-cart-container {
    padding: 1.3rem;
  }

  .carbon-neutral {
    padding: 1rem;
  }

  .modal-order-confirmed {
    position: static;
    width: 530px;
    height: auto;
    margin: auto;
    margin-top: 15rem;
  }
}